﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace WpfApplication4
{
    public class RegisterUserViewModel
    {
        public RegisterUserViewModel()
        {
            this.User = new UserInfo { UserName = "Baobao", Age = 27 };

            ClickCommand = new DelegateCommand<object>(OnClick, arg => true);
        }

        void OnClick(object obj)
        {
            this.User.Age += 1;
        }

        public UserInfo User { get; set; }

        public RegisterUserView View { get; set; }

        public ICommand ClickCommand { get; set; }
    }
}